/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.twotone

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.TwoTone._7kPlus: ImageVector
    get() {
        if (__7kPlus != null) {
            return __7kPlus!!
        }
        __7kPlus = materialIcon(name = "TwoTone._7kPlus") {
            materialPath(fillAlpha = 0.3f, strokeAlpha = 0.3f) {
                moveTo(5.0f, 19.0f)
                horizontalLineToRelative(14.0f)
                verticalLineToRelative(-6.5f)
                horizontalLineToRelative(-1.5f)
                verticalLineTo(14.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(-1.5f)
                horizontalLineTo(15.0f)
                verticalLineToRelative(-1.0f)
                horizontalLineToRelative(1.5f)
                verticalLineTo(10.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(1.5f)
                horizontalLineTo(19.0f)
                verticalLineTo(5.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(19.0f)
                close()
                moveTo(11.0f, 9.0f)
                horizontalLineToRelative(1.5f)
                verticalLineToRelative(2.25f)
                lineTo(14.25f, 9.0f)
                horizontalLineTo(16.0f)
                lineToRelative(-2.25f, 3.0f)
                lineTo(16.0f, 15.0f)
                horizontalLineToRelative(-1.75f)
                lineToRelative(-1.75f, -2.25f)
                verticalLineTo(15.0f)
                horizontalLineTo(11.0f)
                verticalLineTo(9.0f)
                close()
                moveTo(5.5f, 9.0f)
                horizontalLineTo(9.0f)
                curveToRelative(0.67f, 0.0f, 1.15f, 0.65f, 0.96f, 1.29f)
                lineTo(8.5f, 15.0f)
                horizontalLineTo(6.75f)
                lineToRelative(1.38f, -4.5f)
                horizontalLineTo(5.5f)
                verticalLineTo(9.0f)
                close()
            }
            materialPath {
                moveTo(19.0f, 3.0f)
                horizontalLineTo(5.0f)
                curveTo(3.9f, 3.0f, 3.0f, 3.9f, 3.0f, 5.0f)
                verticalLineToRelative(14.0f)
                curveToRelative(0.0f, 1.1f, 0.9f, 2.0f, 2.0f, 2.0f)
                horizontalLineToRelative(14.0f)
                curveToRelative(1.1f, 0.0f, 2.0f, -0.9f, 2.0f, -2.0f)
                verticalLineTo(5.0f)
                curveTo(21.0f, 3.9f, 20.1f, 3.0f, 19.0f, 3.0f)
                close()
                moveTo(19.0f, 11.5f)
                horizontalLineToRelative(-1.5f)
                verticalLineTo(10.0f)
                horizontalLineToRelative(-1.0f)
                verticalLineToRelative(1.5f)
                horizontalLineTo(15.0f)
                verticalLineToRelative(1.0f)
                horizontalLineToRelative(1.5f)
                verticalLineTo(14.0f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(-1.5f)
                horizontalLineTo(19.0f)
                verticalLineTo(19.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(5.0f)
                horizontalLineToRelative(14.0f)
                verticalLineTo(11.5f)
                close()
            }
            materialPath {
                moveTo(6.75f, 15.0f)
                horizontalLineTo(8.5f)
                lineToRelative(1.46f, -4.71f)
                curveTo(10.15f, 9.65f, 9.67f, 9.0f, 9.0f, 9.0f)
                horizontalLineTo(5.5f)
                verticalLineToRelative(1.5f)
                horizontalLineToRelative(2.63f)
                lineTo(6.75f, 15.0f)
                close()
            }
            materialPath {
                moveTo(12.5f, 12.75f)
                lineToRelative(1.75f, 2.25f)
                lineToRelative(1.75f, 0.0f)
                lineToRelative(-2.25f, -3.0f)
                lineToRelative(2.25f, -3.0f)
                lineToRelative(-1.75f, 0.0f)
                lineToRelative(-1.75f, 2.25f)
                lineToRelative(0.0f, -2.25f)
                lineToRelative(-1.5f, 0.0f)
                lineToRelative(0.0f, 6.0f)
                lineToRelative(1.5f, 0.0f)
                close()
            }
        }
        return __7kPlus!!
    }

private var __7kPlus: ImageVector? = null
